<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*****************************************************************************
 * The contents of this file are subject to the RECIPROCAL PUBLIC LICENSE
 * Version 1.1 ("License"); You may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://opensource.org/licenses/rpl.php. Software distributed under the
 * License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND,
 * either express or implied.
 *
 * You may:
 * a) Use and distribute this code exactly as you received without payment or
 *    a royalty or other fee.
 * b) Create extensions for this code, provided that you make the extensions
 *    publicly available and document your modifications clearly.
 * c) Charge for a fee for warranty or support or for accepting liability
 *    obligations for your customers.
 *
 * You may NOT:
 * a) Charge for the use of the original code or extensions, including in
 *    electronic distribution models, such as ASP (Application Service
 *    Provider).
 * b) Charge for the original source code or your extensions other than a
 *    nominal fee to cover distribution costs where such distribution
 *    involves PHYSICAL media.
 * c) Modify or delete any pre-existing copyright notices, change notices,
 *    or License text in the Licensed Software
 * d) Assert any patent claims against the Licensor or Contributors, or
 *    which would in any way restrict the ability of any third party to use the
 *    Licensed Software.
 *
 * You must:
 * a) Document any modifications you make to this code including the nature of
 *    the change, the authors of the change, and the date of the change.
 * b) Make the source code for any extensions you deploy available via an
 *    Electronic Distribution Mechanism such as FTP or HTTP download.
 * c) Notify the licensor of the availability of source code to your extensions
 *    and include instructions on how to acquire the source code and updates.
 * d) Grant Licensor a world-wide, non-exclusive, royalty-free license to use,
 *    reproduce, perform, modify, sublicense, and distribute your extensions.
 *
 * The Original Code is: CommuniCore
 *                       Olavo Farias
 *                       2006-04-7 olavo.farias@gmail.com
 *
 * The Initial Developer of the Original Code is CommuniCore.
 * Portions created by CommuniCore are Copyright (C) 2005 CommuniCore Ltda
 * All Rights Reserved.
 ********************************************************************************/

require_once('modules/EcmPriceBooks/EcmPriceBook.php');
require_once('include/formbase.php');


$focus = new EcmPriceBook();

$focus->retrieve($_POST['record']);
if(!$focus->ACLAccess('Save')){
		ACLController::displayNoAccess(true);
		sugar_cleanup(true);
}
if (!empty($_POST['assigned_user_id']) && ($focus->assigned_user_id != $_POST['assigned_user_id']) && ($_POST['assigned_user_id'] != $current_user->id)) {
	$check_notify = TRUE;
}else{
	$check_notify = FALSE;
}

foreach($focus->column_fields as $field){
	if(isset($_POST[$field])){
		$value = $_POST[$field];
		$focus->$field = $value;
	}
}

foreach($focus->additional_column_fields as $field){
	if(isset($_POST[$field])){
		$value = $_POST[$field];
		$focus->$field = $value;
	}
}

		if (!isset($_POST[ekmp_active])) {
		 $focus->ekmp_active = '0';
		}else{
		 $focus->ekmp_active = '1';
		}
$focus->account_name=$_REQUEST['account_name'];
$focus->unformat_all_fields();
$focus->save($check_notify);
$return_id = $focus->id;

if(!$_REQUEST['currency_value']){
	require_once('modules/Currencies/Currency.php');
	$currency  = new Currency();
	$currency->retrieve($_REQUEST['exchange_rate_id']);
	$er_value=$currency->conversion_rate;
}
else $er_value=unformat_number($_REQUEST['currency_value']);



$GLOBALS['db']->query("update ecmpricebooks set currency_value='".$er_value."',account_name='".$_POST['account_name']."' where id='".$return_id."'");
echo $_SESSION['pricebook_duplicate_id'].'<br>';
echo $_POST['duplicateSave'].'<br>';

if($_SESSION['pricebook_duplicate_id'] && $_POST['duplicateSave']=="true"){
$w=$GLOBALS['db']->query("select * from ecmpricebooks_ecmproducts where ecmpricebook_id='".$_SESSION['pricebook_duplicate_id']."'");
$_SESSION['pricebook_duplicate_id']="";
while($r=$GLOBALS['db']->fetchByAssoc($w)) {
		$GLOBALS['db']->query("insert into ecmpricebooks_ecmproducts values('".create_guid()."','".$return_id."','".$r['ecmproduct_id']."','".$r['deleted']."','".$r['price']."','".$r['recipient_code']."','".$r['created_by']."','".$r['remarks_pl']."','".$r['remarks_en']."','".$r['remarks_de']."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."','".$_SESSION['authenticated_user_id']."','".$r['popular']."','".$r['position']."', '".$r['margin_rate']."');");
	}
}
handleRedirect($return_id,'EcmPriceBooks');

?>